------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-27
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(63, 57)
local Player_1 = CppScriptMgr:AddPlayer(100, 63, 57, "", 0, 0)
Player_1:SetDir(3)
local Player_2 = CppScriptMgr:AddSimplePlayer(11720, 50, 48, "", 0, 0)
local npc_1 = CppScriptMgr:AddSimplePlayer(11720, 56, 56, "", 0, 0)
local npc_2 = CppScriptMgr:AddSimplePlayer(11720, 64, 50, "", 0, 0)
CppScriptMgr:WaitMilSec(480)
Player_1:SetAction(101)
Player_1:Say("Treasures! All my treasures!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 70, 60, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 66, 64, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_3 = CppScriptMgr:QueryHero()
Player_3:SetPos(70, 60)
Player_3:SetDir(3)
local Player_4 = CppScriptMgr:AddSimplePlayer(1100530, 66, 64, "", 0, 0)
Player_4:SetDir(3)
CppScriptMgr:WaitMilSec(490)
Player_1:SetDir(7)
Player_3:Say("So many treasures hidden in this Store Basement!", 1500)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(401)
Player_1:Say("Damn it! We`ve been discovered!", 1500)
CppScriptMgr:WaitMilSec(2300)
local effect_0 = CppScriptMgr:AddEffect("taoist-huohuan", 62, 60, 33, 1, 1, 1)
local Player_5 = CppScriptMgr:AddSimplePlayer(1100530, 62, 60, "", 0, 0)
Player_5:SetDir(5)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(3180)